Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 639692 (CVE-2017-17080) - <sys-devel/binutils-2.30 : Denial of Service vulnerability
Summary: <sys-devel/binutils-2.30 : Denial of Service vulnerability
Status: RESOLVED FIXED
Alias: CVE-2017-17080
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on: CVE-2018-7208, CVE-2018-7568, CVE-2018-7569, CVE-2018-7570, CVE-2018-7643, CVE-2018-8945 binutils-2.30-stable
Blocks:
  Show dependency tree
 
Reported: 2017-12-04 01:41 UTC by GLSAMaker/CVETool Bot
Modified: 2018-11-27 02:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2017-12-04 01:41:19 UTC
CVE-2017-17080 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-17080):
  elf.c in the Binary File Descriptor (BFD) library (aka libbfd), as
  distributed in GNU Binutils 2.29.1, does not validate sizes of core notes,
  which allows remote attackers to cause a denial of service (bfd_getl32
  heap-based buffer over-read and application crash) via a crafted object
  file, related to elfcore_grok_netbsd_procinfo,
  elfcore_grok_openbsd_procinfo, and elfcore_grok_nto_status.
Comment 1 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-12-04 01:42:20 UTC
@Maintainers please let us know when a fixed version is available in tree.

Thank you
Comment 2 Andreas K. Hüttel gentoo-dev 2017-12-16 21:52:11 UTC
In upstream master
Patch added to gentoo/binutils-2.29.1 branch, for future patchlevel 4
Comment 3 Andreas K. Hüttel gentoo-dev 2018-04-29 18:35:02 UTC
Fixed in 2.30
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2018-11-27 02:01:53 UTC
This issue was resolved and addressed in
 GLSA 201811-17 at https://security.gentoo.org/glsa/201811-17
by GLSA coordinator Aaron Bauman (b-man).